org.apache.poi.hemf.record.emfplus

## Class HemfPlusRegion.EmfPlusRegionRect

- java.lang.Object
- - org.apache.poi.hemf.record.emfplus.HemfPlusRegion.EmfPlusRegionRect

- All Implemented Interfaces:
    GenericRecord, HemfPlusRegion.EmfPlusRegionNodeData
  Enclosing class:
    HemfPlusRegion

      public static class HemfPlusRegion.EmfPlusRegionRect
      extends java.lang.Object
      implements HemfPlusRegion.EmfPlusRegionNodeData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPlusRegionRect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `HemfPlusRegion.EmfPlusRegionNodeDataType` | `getGenericRecordType()`
    `java.awt.Shape` | `getShape()`
    `long` | `init(LittleEndianInputStream leis)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusRegion.EmfPlusRegionNodeData

      `setNodeType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### EmfPlusRegionRect

          public EmfPlusRegionRect()

  - ### Method Detail

    - #### init

          public long init(LittleEndianInputStream leis)

      Specified by:
        `init` in interface `HemfPlusRegion.EmfPlusRegionNodeData`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

    - #### getShape

          public java.awt.Shape getShape()

      Specified by:
        `getShape` in interface `HemfPlusRegion.EmfPlusRegionNodeData`

    - #### getGenericRecordType

          public HemfPlusRegion.EmfPlusRegionNodeDataType getGenericRecordType()

      Specified by:
        `getGenericRecordType` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.